changeset 1143:4088afe6988e

core/rc: mount /dev/pts at boot
author David Demelier <markand@malikania.fr>
date Tue, 24 Sep 2019 21:00:00 +0000
parents f942ed650ab9
children f373703bdc0e
files core/rc/rc.init core/rc/rc.networking core/rc/rc.sh
diffstat 3 files changed, 9 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/core/rc/rc.init	Tue Sep 24 20:15:00 2019 +0200
+++ b/core/rc/rc.init	Tue Sep 24 21:00:00 2019 +0000
@@ -40,6 +40,12 @@
 	echo -n "/dev "
 fi
 
+if ! mountpoint /dev/pts >/dev/null 2>&1; then
+	mkdir -p /dev/pts 2>/dev/null
+	mount -t devpts devpts /dev/pts >/dev/null 2>&1
+	echo -n "/dev/pts "
+fi
+
 if ! mountpoint /proc >/dev/null 2>&1; then
 	mount -t proc proc /proc >/dev/null 2>&1
 	echo -n "/proc "
@@ -80,7 +86,7 @@
 	force="-f"
 fi
 
-fsck $force -A -T >/dev/null 2>&1
+fsck $force -A -T
 
 if [ "$?" -gt 1 ]; then
 	echo "* Filesystem check failed"
--- a/core/rc/rc.networking	Tue Sep 24 20:15:00 2019 +0200
+++ b/core/rc/rc.networking	Tue Sep 24 21:00:00 2019 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# /etc/rc.init -- basic networking script
+# /etc/rc.networking -- basic networking script
 #
 # Copyright (c) 2019 David Demelier <markand@malikania.fr>
 #
--- a/core/rc/rc.sh	Tue Sep 24 20:15:00 2019 +0200
+++ b/core/rc/rc.sh	Tue Sep 24 21:00:00 2019 +0000
@@ -22,6 +22,7 @@
 PKGSUMMARY="Vanilla Linux init scripts"
 PKGPROTECT="etc/rc.conf
             etc/rc.init
+            etc/rc.networking
             etc/rc.shutdown
             etc/rc.start"